Uses of Package
dev.langchain4j.model.mistralai.internal.api
Packages that use dev.langchain4j.model.mistralai.internal.api
Package
Description
-
Classes in dev.langchain4j.model.mistralai.internal.api used by dev.langchain4j.model.mistralai
-
Classes in dev.langchain4j.model.mistralai.internal.api used by dev.langchain4j.model.mistralai.internal.apiClassDescriptionMetadata for a batch job returned by the Mistral Batch API (create, retrieve, cancel, and each entry of the list endpoint).Request body for creating a batch job via the Mistral Batch API (
POST /v1/batch/jobs).A single inline request within a batch job: acustom_idand the body of the underlying/v1/chat/completionsrequest.Represents the value of the 'type' field in the response_format parameter of the MistralAi Chat completions request. -
Classes in dev.langchain4j.model.mistralai.internal.api used by dev.langchain4j.model.mistralai.internal.clientClassDescriptionMetadata for a batch job returned by the Mistral Batch API (create, retrieve, cancel, and each entry of the list endpoint).Request body for creating a batch job via the Mistral Batch API (
POST /v1/batch/jobs).Response body for the list endpoint of the Mistral Batch API (GET /v1/batch/jobs).A single line of the JSONL document referenced by a completed batch job'soutput_file(orerror_file). -